Package org.apache.solr.common.cloud

## Interface ZkMaintenanceUtils.ZkVisitor

Enclosing class:
  ZkMaintenanceUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface ZkMaintenanceUtils.ZkVisitor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visit​(String path)` Visit the target path

### Method Detail

#### visit

    void visit​(String path)
        throws InterruptedException,
               org.apache.zookeeper.KeeperException

Visit the target path

Parameters:
  `path` - the path to visit
Throws:
  `InterruptedException`
  `org.apache.zookeeper.KeeperException`